libnvme(2)

NAME
struct nvme_get_lba_status_args - Arguments for the NVMe Get LBA Status command

SYNOPSIS
struct nvme_get_lba_status_args {
__u64 slba;
__u32 *result;
struct nvme_lba_status *lbas;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
__u32 mndw;
enum nvme_lba_status_atype atype;
__u16 rl;
};

Members

slba
    Starting logical block address to check statuses

result
    The command completion result from CQE dword0

lbas
    Data payload to return status descriptors

args_size
    Size of struct nvme_get_lba_status_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace ID to retrieve LBA status

mndw
    Maximum number of dwords to return

atype
    Action type mechanism to determine LBA status descriptors to return, see enum nvme_lba_status_atype

rl  Range length from slba to perform the action